## GDataDocumentsMetadata

GDataDocumentsMetadata — GData document service metadata class

## Stability Level

Stable, unless otherwise indicated

## Functions

goffset | gdata_documents_metadata_get_quota_total ()
goffset | gdata_documents_metadata_get_quota_used ()

## Properties

gint64 | quota-total | Read
gint64 | quota-used | Read

## Types and Values

| GDataDocumentsMetadata
| GDataDocumentsMetadataClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataDocumentsMetadata

## Includes

    #include <gdata/services/documents/gdata-documents-metadata.h>

## Description

GDataDocumentsMetadata is a subclass of GDataParsable to represent Google Drive service metadata.

For more details of Google Documents' GData API, see the

online documentation.

## Functions

### gdata_documents_metadata_get_quota_total ()

    goffset
    gdata_documents_metadata_get_quota_total
                                   (GDataDocumentsMetadata *self);

Gets the “quota-total” property.

#### Parameters

self | a GDataDocumentsMetadata |

#### Returns

the number of quota bytes available in total. Returns -1 if there is no quota limit.

Since: 0.17.9

### gdata_documents_metadata_get_quota_used ()

    goffset
    gdata_documents_metadata_get_quota_used
                                   (GDataDocumentsMetadata *self);

Gets the “quota-used” property.

#### Parameters

self | a GDataDocumentsMetadata |

#### Returns

the number of quota bytes used by the documents service

Since: 0.17.9

## Types and Values

### GDataDocumentsMetadata

    typedef struct _GDataDocumentsMetadata GDataDocumentsMetadata;

All the fields in the GDataDocumentsMetadata structure are private and should never be accessed directly.

Since: 0.17.9

### GDataDocumentsMetadataClass

    typedef struct {
    } GDataDocumentsMetadataClass;

All the fields in the GDataDocumentsMetadataClass structure are private and should never be accessed directly.

Since: 0.17.9

## Property Details

### The `“quota-total”` property

      “quota-total”              gint64

The user quota limit across all services. Measured in bytes.

Owner: GDataDocumentsMetadata

Flags: Read

Allowed values: >= -1

Default value: 0

Since: 0.17.9

### The `“quota-used”` property

      “quota-used”               gint64

The amount of user quota used up across all services. Measured in bytes.

Owner: GDataDocumentsMetadata

Flags: Read

Allowed values: >= 0

Default value: 0

Since: 0.17.9